Need 3 state support in tftp and build management
Category: Unattended installations   

Target version: 1.1   
Triaged:  Found in Releases:  
Pull request:    

Description

In our current kick infrastructure the 'default' pxelinux file loads a staging environment that determines what os to build the system as

and created the initial pxelinux file. Once kicked the system specific pxelinux file boots to the hd. Foreman has no current support for

a pxelinux file for systems not currently undergoing a build, however for true unattended bare metal provisioning this is a

requirement.

The stages would be:

bare system -> boots 'default' to register with build system

registered system -> boots build defined in system registry

built system -> boots hd

I can't have the default boot to hd, as then new systems would not be provisioned because I cannot add the tftp file for the new

systems before hand as I do not know their information until they register.

Having an option for foreman to rewrite a second tftp template for a system once built would be better than just having it delete it

entirely.

Associated revisions

Revision 1a68aea8 - 11/26/2012 10:20 AM - Greg Sutcliffe

Fixes #983 - implement 3 state boot

History

#1 - 06/14/2011 09:11 AM - Ohad Levy

Maybe you could hack the default PXE option to achieve that?

#2 - 09/07/2011 02:24 PM - Ohad Levy

I would like to start promoting this ticket, how do we go ahead about the registering OS?

#3 - 11/26/2012 10:20 AM - Ohad Levy

- Category set to Unattended installations

- Status changed from New to Assigned

- Assignee set to Greg Sutcliffe

- Target version set to 1.1

#4 - 11/26/2012 11:58 AM - Greg Sutcliffe

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset 1a68aea83c59e95343fcdff3e3bae63f273a7c65.
